[svn-upgrade] Integrating new upstream version, bti (020)
[debian/bti.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 bin_PROGRAMS = bti$(EXEEXT)
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
36         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
37         $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
38         missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42         $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(install_sh) -d
46 CONFIG_CLEAN_FILES =
47 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
48 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
49 PROGRAMS = $(bin_PROGRAMS)
50 am_bti_OBJECTS = bti.$(OBJEXT)
51 bti_OBJECTS = $(am_bti_OBJECTS)
52 bti_LDADD = $(LDADD)
53 DEFAULT_INCLUDES = -I.@am__isrc@
54 depcomp = $(SHELL) $(top_srcdir)/depcomp
55 am__depfiles_maybe = depfiles
56 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
57         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
58 CCLD = $(CC)
59 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
60 SOURCES = $(bti_SOURCES)
61 DIST_SOURCES = $(bti_SOURCES)
62 man1dir = $(mandir)/man1
63 NROFF = nroff
64 MANS = $(dist_man_MANS)
65 ETAGS = etags
66 CTAGS = ctags
67 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
68 distdir = $(PACKAGE)-$(VERSION)
69 top_distdir = $(distdir)
70 am__remove_distdir = \
71   { test ! -d $(distdir) \
72     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
73          && rm -fr $(distdir); }; }
74 DIST_ARCHIVES = $(distdir).tar.gz
75 GZIP_ENV = --best
76 distuninstallcheck_listfiles = find . -type f -print
77 distcleancheck_listfiles = find . -type f -print
78 ACLOCAL = @ACLOCAL@
79 AMTAR = @AMTAR@
80 AUTOCONF = @AUTOCONF@
81 AUTOHEADER = @AUTOHEADER@
82 AUTOMAKE = @AUTOMAKE@
83 AWK = @AWK@
84 CC = @CC@
85 CCDEPMODE = @CCDEPMODE@
86 CFLAGS = @CFLAGS@
87 CPPFLAGS = @CPPFLAGS@
88 CYGPATH_W = @CYGPATH_W@
89 DEFS = @DEFS@
90 DEPDIR = @DEPDIR@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EXEEXT = @EXEEXT@
95 INSTALL = @INSTALL@
96 INSTALL_DATA = @INSTALL_DATA@
97 INSTALL_PROGRAM = @INSTALL_PROGRAM@
98 INSTALL_SCRIPT = @INSTALL_SCRIPT@
99 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
100 LDFLAGS = @LDFLAGS@
101 LIBCURL = @LIBCURL@
102 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
103 LIBOBJS = @LIBOBJS@
104 LIBS = @LIBS@
105 LTLIBOBJS = @LTLIBOBJS@
106 MAKEINFO = @MAKEINFO@
107 MKDIR_P = @MKDIR_P@
108 OBJEXT = @OBJEXT@
109 PACKAGE = @PACKAGE@
110 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
111 PACKAGE_NAME = @PACKAGE_NAME@
112 PACKAGE_STRING = @PACKAGE_STRING@
113 PACKAGE_TARNAME = @PACKAGE_TARNAME@
114 PACKAGE_VERSION = @PACKAGE_VERSION@
115 PATH_SEPARATOR = @PATH_SEPARATOR@
116 SET_MAKE = @SET_MAKE@
117 SHELL = @SHELL@
118 STRIP = @STRIP@
119 VERSION = @VERSION@
120 XML2_CONFIG = @XML2_CONFIG@
121 XML_CPPFLAGS = @XML_CPPFLAGS@
122 XML_LIBS = @XML_LIBS@
123 XSLTPROC = @XSLTPROC@
124 _libcurl_config = @_libcurl_config@
125 abs_builddir = @abs_builddir@
126 abs_srcdir = @abs_srcdir@
127 abs_top_builddir = @abs_top_builddir@
128 abs_top_srcdir = @abs_top_srcdir@
129 ac_ct_CC = @ac_ct_CC@
130 am__include = @am__include@
131 am__leading_dot = @am__leading_dot@
132 am__quote = @am__quote@
133 am__tar = @am__tar@
134 am__untar = @am__untar@
135 bindir = @bindir@
136 build_alias = @build_alias@
137 builddir = @builddir@
138 datadir = @datadir@
139 datarootdir = @datarootdir@
140 docdir = @docdir@
141 dvidir = @dvidir@
142 exec_prefix = @exec_prefix@
143 host_alias = @host_alias@
144 htmldir = @htmldir@
145 includedir = @includedir@
146 infodir = @infodir@
147 install_sh = @install_sh@
148 libdir = @libdir@
149 libexecdir = @libexecdir@
150 localedir = @localedir@
151 localstatedir = @localstatedir@
152 mandir = @mandir@
153 mkdir_p = @mkdir_p@
154 oldincludedir = @oldincludedir@
155 pdfdir = @pdfdir@
156 prefix = @prefix@
157 program_transform_name = @program_transform_name@
158 psdir = @psdir@
159 sbindir = @sbindir@
160 sharedstatedir = @sharedstatedir@
161 srcdir = @srcdir@
162 sysconfdir = @sysconfdir@
163 target_alias = @target_alias@
164 top_build_prefix = @top_build_prefix@
165 top_builddir = @top_builddir@
166 top_srcdir = @top_srcdir@
167 bti_SOURCES = \
168         bti.c
169
170 dist_man_MANS = \
171         bti.1 \
172         bti-shrink-urls.1
173
174 EXTRA_DIST = \
175         bti.xml \
176         bti-shrink-urls.xml \
177         bti.example \
178         bti-bashcompletion \
179         RELEASE-NOTES \
180         bti-shrink-urls
181
182 MAINTAINERCLEANFILES = \
183         $(dist_man_MANS)
184
185 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
186 AUTOMAKE_OPTIONS = foreign
187 all: all-am
188
189 .SUFFIXES:
190 .SUFFIXES: .c .o .obj
191 am--refresh:
192         @:
193 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
194         @for dep in $?; do \
195           case '$(am__configure_deps)' in \
196             *$$dep*) \
197               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
198               cd $(srcdir) && $(AUTOMAKE) --foreign  \
199                 && exit 0; \
200               exit 1;; \
201           esac; \
202         done; \
203         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
204         cd $(top_srcdir) && \
205           $(AUTOMAKE) --foreign  Makefile
206 .PRECIOUS: Makefile
207 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
208         @case '$?' in \
209           *config.status*) \
210             echo ' $(SHELL) ./config.status'; \
211             $(SHELL) ./config.status;; \
212           *) \
213             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
214             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
215         esac;
216
217 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
218         $(SHELL) ./config.status --recheck
219
220 $(top_srcdir)/configure:  $(am__configure_deps)
221         cd $(srcdir) && $(AUTOCONF)
222 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
223         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
224 install-binPROGRAMS: $(bin_PROGRAMS)
225         @$(NORMAL_INSTALL)
226         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
227         @list='$(bin_PROGRAMS)'; for p in $$list; do \
228           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
229           if test -f $$p \
230           ; then \
231             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
232            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
233            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
234           else :; fi; \
235         done
236
237 uninstall-binPROGRAMS:
238         @$(NORMAL_UNINSTALL)
239         @list='$(bin_PROGRAMS)'; for p in $$list; do \
240           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
241           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
242           rm -f "$(DESTDIR)$(bindir)/$$f"; \
243         done
244
245 clean-binPROGRAMS:
246         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
247 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES) 
248         @rm -f bti$(EXEEXT)
249         $(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
250
251 mostlyclean-compile:
252         -rm -f *.$(OBJEXT)
253
254 distclean-compile:
255         -rm -f *.tab.c
256
257 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti.Po@am__quote@
258
259 .c.o:
260 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
261 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
262 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
263 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
264 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
265
266 .c.obj:
267 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
268 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
269 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
270 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
271 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
272 install-man1: $(man1_MANS) $(man_MANS)
273         @$(NORMAL_INSTALL)
274         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
275         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
276         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
277         for i in $$l2; do \
278           case "$$i" in \
279             *.1*) list="$$list $$i" ;; \
280           esac; \
281         done; \
282         for i in $$list; do \
283           if test -f $$i; then file=$$i; \
284           else file=$(srcdir)/$$i; fi; \
285           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
286           case "$$ext" in \
287             1*) ;; \
288             *) ext='1' ;; \
289           esac; \
290           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
291           inst=`echo $$inst | sed -e 's/^.*\///'`; \
292           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
293           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
294           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
295         done
296 uninstall-man1:
297         @$(NORMAL_UNINSTALL)
298         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
299         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
300         for i in $$l2; do \
301           case "$$i" in \
302             *.1*) list="$$list $$i" ;; \
303           esac; \
304         done; \
305         for i in $$list; do \
306           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
307           case "$$ext" in \
308             1*) ;; \
309             *) ext='1' ;; \
310           esac; \
311           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
312           inst=`echo $$inst | sed -e 's/^.*\///'`; \
313           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
314           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
315           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
316         done
317
318 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
319         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
320         unique=`for i in $$list; do \
321             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
322           done | \
323           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
324               END { if (nonempty) { for (i in files) print i; }; }'`; \
325         mkid -fID $$unique
326 tags: TAGS
327
328 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
329                 $(TAGS_FILES) $(LISP)
330         tags=; \
331         here=`pwd`; \
332         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
333         unique=`for i in $$list; do \
334             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
335           done | \
336           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
337               END { if (nonempty) { for (i in files) print i; }; }'`; \
338         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
339           test -n "$$unique" || unique=$$empty_fix; \
340           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
341             $$tags $$unique; \
342         fi
343 ctags: CTAGS
344 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
345                 $(TAGS_FILES) $(LISP)
346         tags=; \
347         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
348         unique=`for i in $$list; do \
349             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
350           done | \
351           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
352               END { if (nonempty) { for (i in files) print i; }; }'`; \
353         test -z "$(CTAGS_ARGS)$$tags$$unique" \
354           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
355              $$tags $$unique
356
357 GTAGS:
358         here=`$(am__cd) $(top_builddir) && pwd` \
359           && cd $(top_srcdir) \
360           && gtags -i $(GTAGS_ARGS) $$here
361
362 distclean-tags:
363         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
364
365 distdir: $(DISTFILES)
366         $(am__remove_distdir)
367         test -d $(distdir) || mkdir $(distdir)
368         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
369         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
370         list='$(DISTFILES)'; \
371           dist_files=`for file in $$list; do echo $$file; done | \
372           sed -e "s|^$$srcdirstrip/||;t" \
373               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
374         case $$dist_files in \
375           */*) $(MKDIR_P) `echo "$$dist_files" | \
376                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
377                            sort -u` ;; \
378         esac; \
379         for file in $$dist_files; do \
380           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
381           if test -d $$d/$$file; then \
382             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
383             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
384               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
385             fi; \
386             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
387           else \
388             test -f $(distdir)/$$file \
389             || cp -p $$d/$$file $(distdir)/$$file \
390             || exit 1; \
391           fi; \
392         done
393         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
394           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
395           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
396           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
397         || chmod -R a+r $(distdir)
398 dist-gzip: distdir
399         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
400         $(am__remove_distdir)
401
402 dist-bzip2: distdir
403         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
404         $(am__remove_distdir)
405
406 dist-lzma: distdir
407         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
408         $(am__remove_distdir)
409
410 dist-tarZ: distdir
411         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
412         $(am__remove_distdir)
413
414 dist-shar: distdir
415         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
416         $(am__remove_distdir)
417
418 dist-zip: distdir
419         -rm -f $(distdir).zip
420         zip -rq $(distdir).zip $(distdir)
421         $(am__remove_distdir)
422
423 dist dist-all: distdir
424         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
425         $(am__remove_distdir)
426
427 # This target untars the dist file and tries a VPATH configuration.  Then
428 # it guarantees that the distribution is self-contained by making another
429 # tarfile.
430 distcheck: dist
431         case '$(DIST_ARCHIVES)' in \
432         *.tar.gz*) \
433           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
434         *.tar.bz2*) \
435           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
436         *.tar.lzma*) \
437           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
438         *.tar.Z*) \
439           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
440         *.shar.gz*) \
441           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
442         *.zip*) \
443           unzip $(distdir).zip ;;\
444         esac
445         chmod -R a-w $(distdir); chmod a+w $(distdir)
446         mkdir $(distdir)/_build
447         mkdir $(distdir)/_inst
448         chmod a-w $(distdir)
449         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
450           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
451           && cd $(distdir)/_build \
452           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
453             $(DISTCHECK_CONFIGURE_FLAGS) \
454           && $(MAKE) $(AM_MAKEFLAGS) \
455           && $(MAKE) $(AM_MAKEFLAGS) dvi \
456           && $(MAKE) $(AM_MAKEFLAGS) check \
457           && $(MAKE) $(AM_MAKEFLAGS) install \
458           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
459           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
460           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
461                 distuninstallcheck \
462           && chmod -R a-w "$$dc_install_base" \
463           && ({ \
464                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
465                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
466                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
467                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
468                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
469               } || { rm -rf "$$dc_destdir"; exit 1; }) \
470           && rm -rf "$$dc_destdir" \
471           && $(MAKE) $(AM_MAKEFLAGS) dist \
472           && rm -rf $(DIST_ARCHIVES) \
473           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
474         $(am__remove_distdir)
475         @(echo "$(distdir) archives ready for distribution: "; \
476           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
477           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
478 distuninstallcheck:
479         @cd $(distuninstallcheck_dir) \
480         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
481            || { echo "ERROR: files left after uninstall:" ; \
482                 if test -n "$(DESTDIR)"; then \
483                   echo "  (check DESTDIR support)"; \
484                 fi ; \
485                 $(distuninstallcheck_listfiles) ; \
486                 exit 1; } >&2
487 distcleancheck: distclean
488         @if test '$(srcdir)' = . ; then \
489           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
490           exit 1 ; \
491         fi
492         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
493           || { echo "ERROR: files left in build directory after distclean:" ; \
494                $(distcleancheck_listfiles) ; \
495                exit 1; } >&2
496 check-am: all-am
497 check: check-am
498 all-am: Makefile $(PROGRAMS) $(MANS)
499 installdirs:
500         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
501           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
502         done
503 install: install-am
504 install-exec: install-exec-am
505 install-data: install-data-am
506 uninstall: uninstall-am
507
508 install-am: all-am
509         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
510
511 installcheck: installcheck-am
512 install-strip:
513         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
514           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
515           `test -z '$(STRIP)' || \
516             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
517 mostlyclean-generic:
518
519 clean-generic:
520
521 distclean-generic:
522         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
523
524 maintainer-clean-generic:
525         @echo "This command is intended for maintainers to use"
526         @echo "it deletes files that may require special tools to rebuild."
527         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
528 clean: clean-am
529
530 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
531
532 distclean: distclean-am
533         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
534         -rm -rf ./$(DEPDIR)
535         -rm -f Makefile
536 distclean-am: clean-am distclean-compile distclean-generic \
537         distclean-local distclean-tags
538
539 dvi: dvi-am
540
541 dvi-am:
542
543 html: html-am
544
545 info: info-am
546
547 info-am:
548
549 install-data-am: install-man
550
551 install-dvi: install-dvi-am
552
553 install-exec-am: install-binPROGRAMS
554
555 install-html: install-html-am
556
557 install-info: install-info-am
558
559 install-man: install-man1
560
561 install-pdf: install-pdf-am
562
563 install-ps: install-ps-am
564
565 installcheck-am:
566
567 maintainer-clean: maintainer-clean-am
568         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
569         -rm -rf $(top_srcdir)/autom4te.cache
570         -rm -rf ./$(DEPDIR)
571         -rm -f Makefile
572 maintainer-clean-am: distclean-am maintainer-clean-generic
573
574 mostlyclean: mostlyclean-am
575
576 mostlyclean-am: mostlyclean-compile mostlyclean-generic
577
578 pdf: pdf-am
579
580 pdf-am:
581
582 ps: ps-am
583
584 ps-am:
585
586 uninstall-am: uninstall-binPROGRAMS uninstall-man
587
588 uninstall-man: uninstall-man1
589
590 .MAKE: install-am install-strip
591
592 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
593         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
594         dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
595         distclean distclean-compile distclean-generic distclean-local \
596         distclean-tags distcleancheck distdir distuninstallcheck dvi \
597         dvi-am html html-am info info-am install install-am \
598         install-binPROGRAMS install-data install-data-am install-dvi \
599         install-dvi-am install-exec install-exec-am install-html \
600         install-html-am install-info install-info-am install-man \
601         install-man1 install-pdf install-pdf-am install-ps \
602         install-ps-am install-strip installcheck installcheck-am \
603         installdirs maintainer-clean maintainer-clean-generic \
604         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
605         ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
606         uninstall-man uninstall-man1
607
608
609 %.1: %.xml
610         $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
611
612 git-clean:
613         rm -f Makefile.in
614
615 distclean-local:
616         rm -rf autom4te.cache
617
618 changelog:
619         @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
620         @ mv ChangeLog ChangeLog.tmp
621         @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
622         @ echo "============================================" >> ChangeLog
623         @ echo >> ChangeLog
624         @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog  >> ChangeLog
625         @ echo >> ChangeLog
626         @ cat ChangeLog
627         @ cat ChangeLog.tmp >> ChangeLog
628         @ rm ChangeLog.tmp
629
630 git-release:
631         head -1 ChangeLog | grep -q "to v$(VERSION)"
632         head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
633         git commit -a -m "release $(VERSION)"
634         cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
635         git gc
636         git prune
637 # Tell versions [3.59,3.63) of GNU make to not export all variables.
638 # Otherwise a system limit (for SysV at least) may be exceeded.
639 .NOEXPORT: